package taurus.util;

public enum CardConfig {
	DAN(		"单牌",		Config.TYPE_DANPAI,	1,	1,	1,	1,		0),
	DUIZI(		"单对子",		Config.TYPE_DUIZI,		2,	2,	2,	2,		0),
	SHUNZI(	"顺子",		Config.TYPE_SHUNZI,	5,	1,	5,	12,	0),
	LIANDUI(	"连对",		Config.TYPE_LIANDUI,	3,	2,	6,	20,	0),
	SAN_2(		"三带二",	Config.TYPE_3_2,			1,	3,	3,	5,		2),


	SAN_BU_DAI(		"三不带",	Config.TYPE_BU_DAI,			1,	3,	3,	3,		0),

	FEIJI(		"飞机",		Config.TYPE_FEIJI,		2,	3,	6,	16,	2),

	FEIJI_DAI_DAN(		"飞机带单",		Config.TYPE_FEIJI_DAI_DAN,		2,	3,	6,	16,	1),

	FEIJI_DAI_SHUANG(		"飞机带双",		Config.TYPE_FEIJI_DAI_SHUANG,		2,	3,	6,	16,	4),


	SI_2(			"四带二单",	Config.TYPE_4_2,			1,	4,	5,	6,		-1),

	SI_1DUI("四带1对",	Config.TYPE_4_2_dui,			1,	4,	5,	6,		2),

	ZHA(		"炸弹",		Config.TYPE_ZHA,		1,	4,	4,	4,		0),

	TYPE_ROCKET("火箭",		Config.TYPE_ROCKET,		1,	2,	2,	2,		0),

	SAN_1("三带一",	Config.TYPE_3_1,1,	3,	3,	4,		1);


	public final int	type;
	public final String	name;
	public final int	min_len;
	public final int	repeat_num;
	public final int	min_card_num;
	public final int	max_card_num;
	public final int	with_card_num;
	
	
	private CardConfig(String name, int type, int min_len, int repeat_num, int min_card_num, int max_card_num, int with_card_num) {
		this.name = name;
		this.type = type;
		
		this.min_len = min_len;
		this.repeat_num = repeat_num;
		this.min_card_num = min_card_num;
		this.max_card_num = max_card_num;
		this.with_card_num = with_card_num;
	}
	
	public String toString() {
		return this.name;
	}
}
